LexCostWarehouses Class Reference

Model with cost defined lexicographically. More...

## Public Member Functions

| LexCostWarehouses (const Options &opt)
| Actual model.
virtual IntVarArgs | cost (void) const
| Return solution cost.
| LexCostWarehouses (LexCostWarehouses &s)
| Constructor for cloning s.
virtual Space * | copy (void)
| Copy during cloning.
virtual void | print (std::ostream &os) const
| Print solution.
Public Member Functions inherited from Warehouses< IntLexMinimizeScript >
| Warehouses (const Options &opt)
| Actual model.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntLexMinimizeSpace > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

IntVar | c_open
| Cost for open warehouses.
IntVar | c_stores
| Cost for stores.
Protected Attributes inherited from Warehouses< IntLexMinimizeScript >
IntVarArray | supplier
| Which warehouse supplies a store.
BoolVarArray | open
| Is a warehouse open (warehouse needed).
IntVarArray | c_store
| Cost of a store.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntLexMinimizeSpace > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)
Related Symbols inherited from Warehouses< IntLexMinimizeScript >
int | main (int argc, char *argv[])
| Main-function.

## Detailed Description

Model with cost defined lexicographically.

Definition at line 185 of file warehouses.cpp.

## Constructor & Destructor Documentation

## LexCostWarehouses() [1/2]

LexCostWarehouses::LexCostWarehouses | ( | const Options & | opt | ) |

inline

Actual model.

Definition at line 193 of file warehouses.cpp.

## LexCostWarehouses() [2/2]

LexCostWarehouses::LexCostWarehouses | ( | LexCostWarehouses & | s | ) |

inline

Constructor for cloning s.

Definition at line 204 of file warehouses.cpp.

## Member Function Documentation

## cost()

virtual IntVarArgs LexCostWarehouses::cost | ( | void |  | ) | const

inline virtual

Return solution cost.

Definition at line 200 of file warehouses.cpp.

## copy()

virtual Space * LexCostWarehouses::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 210 of file warehouses.cpp.

## print()

virtual void LexCostWarehouses::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntLexMinimizeSpace > >.

Definition at line 215 of file warehouses.cpp.

## Member Data Documentation

## c_open

IntVar LexCostWarehouses::c_open

protected

Cost for open warehouses.

Definition at line 188 of file warehouses.cpp.

## c_stores

IntVar LexCostWarehouses::c_stores

protected

Cost for stores.

Definition at line 190 of file warehouses.cpp.

The documentation for this class was generated from the following file:

- examples/warehouses.cpp